Name:           libxml++
Version:        2.40.1
Release:        8
Summary:        C++ wrapper for the libxml2 XML parser and builder library
License:        LGPLv2+
URL:            http://libxmlplusplus.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libxml++/2.40/%{name}-%{version}.tar.xz

BuildRequires:  gcc-c++  libxml2-devel >= 2.6.1  glibmm24-devel >= 2.4.0

%description
libxml++ is a C++ wrapper for the libxml2 XML parser and builder library.
It presents a simple C++-like API that can achieve common tasks with less code.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release} libxml2-devel glibmm24-devel

%description devel
This package contains the headers and libraries for libxml++ development.

%package        help
Summary:        Documentation for %{name}, includes full API docs
BuildArch:      noarch
BuildRequires:  doxygen graphviz
Requires:       %{name} = %{version}-%{release}  glibmm24-doc
Provides:       libxml++-doc = %{version}-%{release}
Obsoletes:      libxml++-doc < %{version}-%{release}

%description    help
This package contains the full API documentation for libxml++.


%prep
%autosetup -n %{name}-%{version} -p1
sed -i s'#\r##' examples/dom_parser/example_with_namespace.xml

%build
%configure
%make_build

%install
%make_install
%delete_la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc AUTHORS NEWS README COPYING
%{_libdir}/*.so.*


%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_libdir}/libxml++-2.6


%files help
%doc %{_datadir}/devhelp/books/libxml++-2.6
%doc %{_docdir}/libxml++-2.6


%changelog
* Fri Nov 29 2019 zoushuangshuang<zoushuangshuang@huawei.com> - 2.40.1-8
- Package init
